# BufferedWriter

Extends \Writer

Convenience class for writing files.

author | Hans Lellelid hans@xmpl.org
version | $Id: 4ee126846fc7a26f86eb5ad68012fb4eff878d57 $
package | phing.system.io

### Methods

## __construct

    __construct(\Writer $writer, integer $buffsize = 8192)

### Arguments

#### $writer

`\Writer`

#### $buffsize

`integer`

## Close the stream.

    close()

inherited abstract

throws | if there is an error closing stream.

## Flush the stream, if supported by the stream.

    flush()

inherited

## Returns a string representation of resource filename, url, etc. that is being written to.

    getResource() : string

inherited abstract

### Response

`string`

## newLine

    newLine()

## Writes data to output stream.

    write(string $buf, integer $off = null, integer $len = null)

inherited abstract

### Arguments

#### $buf

`string`

#### $off

`integer`

#### $len

`integer`

### Properties

## The size of the buffer in kb.

    bufferSize :

### Type(s)

``

## The Writer we are buffering output to.

    out : \Writer

var | The Writer we are buffering output to.

### Type(s)

`\Writer`